## xtermset 0.4

=== Makefile ===
CC     = gcc
CFLAGS = -O2 -Wall
OBJS   = xtermset.o
PREFIX = /usr/local

DOCSRC = ctlseqs.ms
DOCOUT = ctlseqs.ps
DOCFMT = ps

all: xtermset

xtermset: $(OBJS)
	$(CC) $(OBJS) -o xtermset

$(OBJS): %.o: %.c
	$(CC) -c $(CFLAGS) $<

install: xtermset
	install -m 0755 -s xtermset $(PREFIX)/bin
	install -m 0644 xtermset.1.gz $(PREFIX)/man/man1

doc: $(DOCSRC)
	groff -mandoc -ms -T$(DOCFMT) $(DOCSRC) > $(DOCOUT)

clean:
	rm -f xtermset $(OBJS) $(DOCOUT) *~

## xtermset 0.5.2

=== debian/changelog ===
xtermset (0.5.2-8) unstable; urgency=medium

  * Team upload.
  * d/p/0003: Don't segfault if $HOME unset (Closes: #716631)
              Fall back to passwd(5) homedir field (or /) for ~/.xtermsetrc
              Don't clobber environment block after finding $HOME
  * d/p/0004: Fully prototype xtermset.h (Closes: #1098172)
  * d/rules: execute_after_dh_install wasn't verbose enough

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Sun, 24 Aug 2025 19:30:43 +0200

xtermset (0.5.2-7) unstable; urgency=medium

  * Team upload.
  * Maintain in Package Salvage team
    Closes: #1086810
  * Point Homepage field to Sourceforge since original Homepage vanished
  * Fix clean target
    Closes: #1046810
  * d/rules: Short dh
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Move source package lintian overrides to debian/source.
  * Rely on pre-initialized dpkg-architecture variables.
  * watch file standard 4 (routine-update)
  * d/rules: do not set CFLAGS from noopt
  * Drop unused lintian-overrides
  * d/gbp.conf: pristine-tar = true
  * Remove empty dir usr/share/aclocal/

 -- Andreas Tille <tille@debian.org>  Wed, 27 Nov 2024 14:49:46 +0100

xtermset (0.5.2-6) unstable; urgency=medium

  * New maintainer (Closes: #614803)
  * Update S-V to 3.9.6
  * Fix array bounds overruns. Thanks David Starner <prosfilaes@gmail.com>
    for the patch (Closes: #713037)
  * Lintian cleaning

 -- Chrysostomos Nanakos <cnanakos@debian.org>  Wed, 29 Jul 2015 14:20:32 +0300

xtermset (0.5.2-5) unstable; urgency=low

  * QA upload.
  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt"
    (Closes: #664321).
  * Update to Standards-Version to 3.9.3.1 and debhelper to 9.
  * Add missing build-arch, build-indep rules and use dh_prep.

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 28 Mar 2012 22:14:13 +0300

xtermset (0.5.2-4) unstable; urgency=low

  * Orphan this package

 -- Patrick Schoenfeld <schoenfeld@debian.org>  Wed, 23 Feb 2011 15:32:32 +0100

xtermset (0.5.2-3) unstable; urgency=low

  * Updated maintainer email address
  * Updated Standards-Version to 3.9.0:
     + Added README.source to document patch handling
  * Fix a spelling mistake in the last changelog entry

 -- Patrick Schoenfeld <schoenfeld@debian.org>  Tue, 03 Mar 2009 10:59:30 +0100

xtermset (0.5.2-2) unstable; urgency=low

  * Run autoreconf without '-s' to avoid FTBFS errors when building
    twice in a row
  * Include a copyright information with the year to debian/copyright
  * Remove files generated by autoreconf in clean target to avoid different
    results when building twice in a row
  * Run autoreconf in an own target configure so that building does not fail,
    because of the missing configure script
  * Add dpatch patch system
  * Add a patch for the wrong use of hyphens in the manpage
  * Add missing copyright information to debian/copyright
  * Add a copyright and licensing information for the Debian packaging to
    debian/copyright
  * Install upstream changelog
  * Install upstream documents NEWS and THANKS

 -- Patrick Schoenfeld <schoenfeld@in-medias-res.com>  Tue, 26 Feb 2008 11:09:51 +0100

xtermset (0.5.2-1) unstable; urgency=low

  * New maintainer (Closes: #455009)
  * New upstream release (Closes: #262302)
  * Run autoreconf to fix missing autoconf files
  * Updated Standards-Version to 3.7.3
  * Added Vcs-Headers
  * Updated copyright file to include include license excerpt
  * Added a watch file

 -- Patrick Schoenfeld <schoenfeld@in-medias-res.com>  Fri, 14 Dec 2007 21:05:42 +0100

xtermset (0.5.1-1) unstable; urgency=low

  * New upstream release, new contact information. Closes: #143730.
  * Adapt packaging to upstream changes: autoconf, more READMEish files.
  * Remove local variables from debian/changelog.
  * Get rid of /usr/doc compatibility.
  * Upgraded standards version to 3.5.9.
  * Use dpkg-gencontrol -isp to get Priority into the deb control file.

 -- Tommi Virtanen <tv@debian.org>  Sun, 20 Apr 2003 19:33:43 +0300

xtermset (0.4-2) unstable; urgency=low

  * Lowercased Eterm in Depends. Closes: #54886.

 -- Tommi Virtanen <tv@debian.org>  Fri, 14 Jan 2000 18:46:48 +0200

xtermset (0.4-1) unstable; urgency=low

  * Initial Release.

 -- Tommi Virtanen <tv@debian.org>  Mon,  1 Nov 1999 20:06:46 +0200

=== debian/control ===
Source: xtermset
Section: x11
Priority: optional
Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
Uploaders: Chrysostomos Nanakos <cnanakos@debian.org>
Build-Depends: debhelper-compat (= 13)
Homepage: https://sourceforge.net/projects/clts/
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/salvage-team/xtermset
Vcs-Git: https://salsa.debian.org/salvage-team/xtermset.git
Standards-Version: 4.7.0

Package: xtermset
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: xterm | eterm | rxvt
Description: change the characteristics of an xterm
 xtermset allows you to change the characteristics, such as title and
 geometry, of an xterm window from the command line. Most options have
 the same names as those that you would give xterm at startup.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CFLAGS = $(shell dpkg-buildflags --get CFLAGS) -Wall -Wunused

LDFLAGS += -Wl,-z,defs -Wl,--as-needed

include /usr/share/dpkg/architecture.mk

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
	CONFFLAGS += --build $(DEB_HOST_GNU_TYPE)
else
	CONFFLAGS += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

CFLAGS += -Wall -g -D_GNU_SOURCE

%:
	dh $@

execute_after_dh_install:
	find debian -name aclocal -empty -exec rmdir -v {} +

=== debian/watch ===
version=4
http://sf.net/clts/xtermset-(.*)\.tar\.gz
